using AGSS.Models;
using AGSS.Models.Entities;
using AGSS.Models.Template;
using Microsoft.AspNetCore.Mvc;

namespace AGSS.Controllers.User;

[ApiController]
[Route("api/[controller]/[action]")]
public class UserInfoController : ControllerBase
{
   private readonly DBContext _context;

   public UserInfoController(DBContext context)
   {
      _context = context;
   }

   [HttpGet]
   public async Task<IActionResult> My()
   {
       UserModel user = new UserModel
       {
           AuthId = "123",
           Email = "123",
           Password = "111"
       };

       _context.UserModels.Add(user);
       await _context.SaveChangesAsync();
     return Ok(user);
   }
}